Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2365)

Unified Diff: crup-runner.sh

Issue 12865010: Refactor with fixes for msys-git. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: No temp copy Created 7 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | git-crup » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: crup-runner.sh
diff --git a/crup-runner.sh b/crup-runner.sh
index 50c1d06b5df7fb5fda1de5fbdf9908700ceb7166..7c7947c13496587352a8e44e658c8f4f31c71936 100755
--- a/crup-runner.sh
+++ b/crup-runner.sh
@@ -104,7 +104,7 @@ if [ "$solution" = "$1" ]; then
set_target_os
- "$GIT_EXE" ls-files -s | grep ^160000 | awk '{print $4}' |
+ git ls-files -s | grep ^160000 | awk '{print $4}' |
while read submod; do
process_submodule "$submod"
done
@@ -112,8 +112,8 @@ if [ "$solution" = "$1" ]; then
else
submodule="${1#*/}"
echo "[$solution] updating $submodule"
- "$GIT_EXE" submodule update --recursive --quiet "$submodule" |
- ( grep -v '^Skipping submodule' || true ) | sed "s|^|[$1] |g"
+ git submodule update --recursive --quiet "$submodule" |
+ ( grep -v '^Skipping submodule' || true ) | sed "s|^|[$1] |g" 2>/dev/null
status=$?
if [ "$status" -ne "0" ]; then
echo "[$solution] FAILED to update $submodule"
« no previous file with comments | « no previous file | git-crup » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698